-- Popravek pregledov datotek plovil preko novega pogleda V_DATOTEKE_PLOVIL
CREATE OR REPLACE VIEW V_DATOTEKE_PLOVIL AS (
	SELECT ROWNUM AS ID_DATOTEKE_PLOVIL, D.ZAPOREDNA, D.ID, D.DOKUMENT, D.DATOTEKA, D.TIP, D.GRUPA, D.KOMENTAR, D.AVTOR, D.DATUM, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, N.OPIS AS NNSTOFILTER_OPIS, P.IME AS PLOVILA_IME
	FROM DATOTEKE_PLOVIL D
	LEFT OUTER JOIN NNSTOFILTER N ON N.ID = D.GRUPA
	LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(386, SYSDATE, '5.5', 306, 'Pogled V_DATOTEKE_PLOVIL');