CREATE TABLE TIMER_DATA (
	ID_TIMER_DATA NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	SECOND VARCHAR2(50 CHAR),
	MINUTE VARCHAR2(50 CHAR),
	HOUR VARCHAR2(50 CHAR),
	DAY_OF_WEEK VARCHAR2(50 CHAR),
	DAY_OF_MONTH VARCHAR2(50 CHAR),
	MONTH VARCHAR2(50 CHAR),
	YEAR VARCHAR2(50 CHAR),
	PERSISTENT VARCHAR2(1 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT TIMER_DATA_PK PRIMARY KEY (ID_TIMER_DATA)
);

CREATE SEQUENCE TIMER_DATA_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE EMAIL_TEMPLATE_TIMER (
	ID_EMAIL_TEMPLATE_TIMER NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	ID_EMAIL_TEMPLATE NUMBER NOT NULL,
	ID_TIMER_DATA NUMBER NOT NULL,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT EMAIL_TMR_ID_EMAIL_TEMPLATE_FK FOREIGN KEY (ID_EMAIL_TEMPLATE) REFERENCES EMAIL_TEMPLATE(ID_EMAIL_TEMPLATE),
	CONSTRAINT EMAIL_TMR_ID_TIMER_DATA_FK FOREIGN KEY (ID_TIMER_DATA) REFERENCES TIMER_DATA(ID_TIMER_DATA),
	CONSTRAINT EMAIL_TEMPLATE_TIMER_PK PRIMARY KEY (ID_EMAIL_TEMPLATE_TIMER)
);

CREATE SEQUENCE EMAIL_TEMPLATE_TIMER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(478, SYSDATE, '5.5', 398, 'Timers');