CREATE TABLE MENU_ORDER (
	ID NUMBER NOT NULL,
	ID_LASTNIKA NUMBER,
	DATE_CREATED DATE,
	CONSTRAINT MENU_ORDER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE MENU_ORDER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE MENU_ORDER_DETAIL (
	ID NUMBER NOT NULL,
	ID_MENU_ORDER NUMBER NOT NULL,
	ID_MENU NUMBER NOT NULL,
	QUANTITY NUMBER, 
	ORDER_COMMENT VARCHAR2(2000 CHAR),
	CONSTRAINT MOD_MENU_ORDER_FK FOREIGN KEY (ID_MENU_ORDER) REFERENCES MENU_ORDER(ID),
	CONSTRAINT MOD_MENU_FK FOREIGN KEY (ID_MENU) REFERENCES MENU(ID),
	CONSTRAINT MENU_ORDER_DETAIL_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE MENU_ORDER_DETAIL_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (759, SYSDATE, '5.5', 679, 'Menu order');