  CREATE TABLE DOKUMENTI_ARHIV 
   (	ID NUMBER, 
	STEVILKA_VZORCA NUMBER, 
	DOKUMENT VARCHAR2(255 CHAR), 
	KOMENTAR VARCHAR2(255 CHAR), 
	IDOPOMINA NUMBER, 
	IDPLOVILA NUMBER, 
	IDKUPCA NUMBER, 
	VZOREC VARCHAR2(255 CHAR), 
	DATOTEKA BLOB, 
	USER_KREIRANJA VARCHAR2(20 CHAR), 
	DATUM_KREIRANJA DATE, 
	USER_SPREMEMBE VARCHAR2(20 CHAR), 
	DATUM_SPREMEMBE DATE
   );

alter table DOKUMENTI_ARHIV add constraint DOKUMENTI_ARHIV_PK primary key  (ID);

CREATE INDEX IX_DOKUMENTI_ARHIV1 ON DOKUMENTI_ARHIV (IDPLOVILA);
CREATE INDEX IX_DOKUMENTI_ARHIV2 ON DOKUMENTI_ARHIV (IDKUPCA);
CREATE INDEX IX_DOKUMENTI_ARHIV3 ON DOKUMENTI_ARHIV (IDOPOMINA);

CREATE OR REPLACE TRIGGER ID_PREVOD_DICT_autoinc
BEFORE INSERT
ON PREVOD_DICT
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT ID_PREVOD_DICT.nextval INTO :NEW.ID_PREVOD_DICT FROM dual;;
END;;
;

ALTER TABLE SIFRANT
ADD INTERNI_OPIS VARCHAR2(50 CHAR);

UPDATE SIFRANT
SET INTERNI_OPIS=NAZIV_SIFRANT
WHERE INTERNI_OPIS IS NULL;

ALTER TABLE KUPCI
ADD YACHT_CLUB_ID VARCHAR2(15 CHAR);

ALTER TABLE PLOVILA ADD DOVOLJENJE VARCHAR2(50 CHAR);
ALTER TABLE PLOVILA ADD LASTNISTVO VARCHAR2(50 CHAR);

CREATE TABLE PLOVILA_CARINA(
ID_PLOVILA_CARINA VARCHAR2(10 CHAR) NOT NULL,
OPIS VARCHAR2(50 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(50 CHAR) NOT NULL,
AKT VARCHAR2(1 CHAR),
PRIMARY KEY (ID_PLOVILA_CARINA));

ALTER TABLE PLOVILA ADD ID_PLOVILA_CARINA VARCHAR2(10 CHAR);
ALTER TABLE M_NNKATEG ADD AUTO_EXTEND VARCHAR2(1 CHAR);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (234, SYSDATE, '5.5', 154, 'Serenity lokacija');