-- Nov pogled za iskanje kupcev in plovil, lahko tudi samo kupcev brez plovil
CREATE OR REPLACE VIEW V_KUPCI_PLOVILA AS (
  SELECT ROWNUM AS KUPCI_PLOVILA_ID, K.ID AS ID_LASTNIKA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.NASLOV AS KUPCI_NASLOV, K.MESTO AS KUPCI_MESTO, K.POSTA AS KUPCI_POSTA, K.VRSTA AS KUPCI_VRSTA,
    K.NDRZAVA AS KUPCI_NDRZAVA, K.EMAIL AS KUPCI_EMAIL, K.TELEFON_1 AS KUPCI_TELEFON_1, K.YACHT_CLUB_ID, P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME, P.REGISTRSKA_N AS PLOVILA_REGISTRSKA_N, P.MODEL AS PLOVILA_MODEL,
    P.NTIP AS PLOVILA_NTIP, P.NZASTAVA AS PLOVILA_NZASTAVA, P.TRENUTNI_OBJEKT_PRIVEZA, P.TRENUTNA_N_PRIVEZA, P.TRENUTNO_DO, P.POGODBENI_OBJEKT_PRIVEZA, P.POGODBENA_N_PRIVEZA, P.POGODBA_DO, P.DOLZINA AS PLOVILA_DOLZINA,
    P.SIRINA AS PLOVILA_SIRINA, P.GREZ AS PLOVILA_GREZ
  FROM KUPCI K
  LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA = K.ID
);

-- Popravek tabele REZERVAC_DETAIL na nacin, da lahko vnasamo tudi prazne priveze, npr. za temp. exit
ALTER TABLE REZERVAC_DETAIL
MODIFY ID_PRIVEZ NUMBER NULL;

-- Popravek dosedanje vnesenih praznih privezov prek stevilke -1 z NULL
UPDATE REZERVAC_DETAIL
SET ID_PRIVEZ = NULL
WHERE ID_PRIVEZ = -1;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(408, SYSDATE, '5.5', 328, 'Pogled kupci/plovila, popravek REZERVAC DETAIL');