ALTER TABLE RACUN_SKRIPTE
ADD ACT VARCHAR2(1 CHAR);

UPDATE RACUN_SKRIPTE
SET ACT = 'Y' 
WHERE ACT IS NULL;

CREATE TABLE NNRACUN_SKRIPTE (
	SIFRA VARCHAR2(10 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	CONSTRAINT NNRACUN_SKRIPTE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNRACUN_SKRIPTE(SIFRA, OPIS, INTERNI_OPIS) VALUES
('ANDROID', 'Mobile invoice', 'Mobile invoice');


CREATE OR REPLACE VIEW V_RACUN_SKRIPTE AS (
	SELECT R.SIFRA, R.SKRIPTA, R.ACT, NS.OPIS AS TYPE_OPIS, NS.INTERNI_OPIS AS TYPE_INTERNI_OPIS
	FROM RACUN_SKRIPTE R
  LEFT OUTER JOIN NNRACUN_SKRIPTE NS ON NS.SIFRA = R.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (635, SYSDATE, '5.5', 555, 'Racun skripte 2');