ALTER TABLE NNINTERVALI
  ADD SIFRA_SKLOPA VARCHAR2(3 CHAR);
  
UPDATE NNINTERVALI 
SET SIFRA_SKLOPA = (SELECT SIFRA_SKLOPA FROM M_NNKATEG WHERE M_NNKATEG.SIFRA=NNINTERVALI.ID AND M_NNKATEG.NIVO=1 AND ROWNUM=1)
WHERE SIFRA_SKLOPA IS NULL;

CREATE OR REPLACE VIEW V_PRIVEZI AS (
select N.ID_PRIVEZ, N.OBJEKT, N.N_PRIVEZA, N.LIMIT, N.ZASEDENO, P.PZASEDENO 
from NNPRIVEZ N LEFT OUTER JOIN 
(SELECT ID_PRIVEZ, COUNT(*) AS PZASEDENO FROM PRIVEZI WHERE ID_POGODBE IS NULL GROUP BY ID_PRIVEZ) P ON N.ID_PRIVEZ=P.ID_PRIVEZ
);

CREATE OR REPLACE VIEW V_RFID_CHECK AS (
SELECT P.ID, P.TRENUTNI_OBJEKT_PRIVEZA, P.TRENUTNA_N_PRIVEZA, 
R.TAGID, R.DATE_OF_EVENT, R.START_OF_EVENT, R.LOCATION, R.ID_RFID_DATA, R.ALARM_STATUS, R.SIGNAL 
FROM PLOVILA P JOIN RFID_CHECK R ON P.RFID=R.TAGID 
WHERE P.TRENUTNI_OBJEKT_PRIVEZA IS NOT NULL
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (776, SYSDATE, '5.5', 696, 'RFID');