CREATE OR REPLACE VIEW V_S_RAZNI_DOK AS (
SELECT SRD.ID_RAZNI_DOK, SRD.TIP, SRD.DATUM, SRD.STEVILKA, SRD.PARTNER, SRD.ST_DOKUMENTA, SRD.OPOMBA, SRD.NOGA, SRD.PLOVILO, SRD.ID_DN, SRD.NGRUPA,
NG.OPIS AS NNGRUSTO_OPIS, MD.STEVILKA AS M_DE_NA_STEVILKA, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, PL.IME AS PLOVILA_IME
FROM S_RAZNI_DOK SRD
LEFT OUTER JOIN NNGRUSTO NG ON NG.NGRUPA = SRD.NGRUPA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = SRD.ID_DN
LEFT OUTER JOIN KUPCI KU ON KU.ID = SRD.PARTNER
LEFT OUTER JOIN PLOVILA PL ON PL.ID = SRD.PLOVILO
);

CREATE OR REPLACE VIEW V_S_RD_PROMET AS (
SELECT SRP.ID_RD_PROMET, SRP.ID_RAZNI_DOK, SRP.ID_ARTIKEL, SRP.NAZIV, SRP.KOLICINA, SRP.ENOTA, SRP.CENA, SRP.DAV_STOPNJA,
SRP.RABAT, SRP.ZNESEK, SRP.OPOMBA, SRP.ID_DAVEK, SRP.ZAP_ST, SRP.ID_PROMET, SRP.TECAJ,
SA.NAZIV AS S_ARTIKLI_NAZIV, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, SE.NAZIV AS S_ENOTE_NAZIV
FROM S_RD_PROMET SRP
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = SRP.ID_ARTIKEL
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SRP.ENOTA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (931, SYSDATE, '5.5', 851, 'Dokumenti promet');
