CREATE INDEX IX_SALDKONT7 ON SALDKONT (NCARD, 1);


CREATE OR REPLACE VIEW V_NCARD AS (
SELECT N.NCARD, N.ID_LASTNIKA, N.ID_PLOVILA, N.VELJA_OD, N.VELJA_DO, N.SERIALNUMBER, N.NCARD_TYPE, N."COMMENT", N.STATUS,
NCT.OPIS AS NCARD_TYPE_OPIS, NCT.INTERNI_OPIS AS NCARD_TYPE_INTERNI_OPIS, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME,
(SELECT SUM(NVL(S.ZA_PLACILO,0) - NVL(S.PORABLJENO,0)) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN ('AKA', 'AKB', 'AKC', 'AKM', 'AKS', 'DP') ) AS DEPOSIT_VALUE,
(SELECT SUM(NVL(-S.ZA_PLACILO,0)) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA NOT IN ('AKA', 'AKB', 'AKC', 'AKM', 'AKS', 'DP') ) AS REFUND_VALUE
FROM NCARD N
LEFT OUTER JOIN NCARD_TYPE NCT ON NCT.ID = N.NCARD_TYPE
LEFT OUTER JOIN KUPCI K ON K.ID = N.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = N.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (994, SYSDATE, '5.5', 914, 'VNcard');